<template>
  <div class="account-voyage-stock">
    <div :class="{'account-voyage-stock--time': warning}">{{countDown === 'Время вышло' ? '0 ч' : countDown}}</div>
    <div
        v-show="item.distance"
        class="account-voyage-stock--distance"
    >
      {{item.distance ? item.distance.toFixed(2) : 0}} км
    </div>
  </div>
</template>

<script>
  import accountTimerMixin from '@/mixins/account-timer-mixin.js';
  import moment from 'moment';
  export default {
    name: "power-reserve",
    mixins: [accountTimerMixin],
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    mounted() {
      /**
       * формат в пропсы приходит в виде оставшихся секунд
       * для того, чтобы это передать дату, когда закончиться время
       * секунду конвертируем в милисекунд по таймштампу + складываем текущий unix time
       */
      setInterval(() => this.countDownTimer(moment.utc((this.item.time * 1000) + moment.now()).format()), 1000)
    }
  }
</script>

<style scoped lang="scss">
  .account-voyage-stock {
    letter-spacing: 0.2px;
    &--time {
      color: $light-raspberry-red;
    }
    &--distance {
      color: $orderRisksSettingsPage-risk_level_actions_toggle_background-color;
    }
  }
</style>